## Textures (Deprecated)

Textures (Deprecated)

## Synopsis

    void *              cogl_texture_ref                    (void *texture);
    void                cogl_texture_unref                  (void *texture);

## Description

## Details

### cogl_texture_ref ()

    void *              cogl_texture_ref                    (void *texture);

### Warning

`cogl_texture_ref` has been deprecated since version 1.2 and should not be used in newly-written code. Use `cogl_object_ref()` instead

Increment the reference count for a cogl texture.

`texture` : | a CoglTexture.
Returns : | the `texture` pointer.

### cogl_texture_unref ()

    void                cogl_texture_unref                  (void *texture);

### Warning

`cogl_texture_unref` has been deprecated since version 1.2 and should not be used in newly-written code. Use `cogl_object_unref()` instead

Decrement the reference count for a cogl texture.

`texture` : | a CoglTexture.